5.3 习题课讲解

5.3.1 计算极值

例 5.3.1 (例1) 求函数f(x,y)=2x4+y4−2x2−2y2的所有极值。

解1 由(1)∂f∂x=8x3−4x=0,∂f∂y=4y3−4y=0 解得驻点,并计算相应的Hesse矩阵分量(2)A=fxx=24x2−4,B=fxy=0,C=fyy=12y2−4 整理如表5.3.1所示。 ◻

(x,y) Hesse矩阵 正定性 极值
(0,0) (−400−4) 负定 极大值
(0,±1) (−4008) 不定 鞍点
(±12,0) (800−4) 不定 鞍点
(±12,±1) (8008) 正定 极小值
(±12,∓1) (8008) 正定 极小值
表 5.3.1: 函数f(x,y)=2x4+y4−2x2−2y2的极值

解2 计算可得(3)fx(x,y)=8x3−4x=4x(2x2−1) 所以对任何固定的y,有

计算可得(4)fy(x,y)=4y(y2−1) 所以对任何固定的x,有

综合以上信息知,对x<−12以及y<0,有(5)f(x,y)≥f(−12,y)≥f(−12,−1) 所以(−12,−1)是极小值点。

类似讨论讨论可得其他临界点的极值性质。

由f(x,y)=(2x4+y4)(1+o(1))→+∞(x2+y2→+∞),所以f无上界,因此没有最大值,但f有最小值。 ◻

解3 配方可得(6)f(x,y)=2(x2−12)2+(y2−1)2−32 从而易得最小值点。为什么会有极大值?为什么会有鞍点?具体参考图5.3.1。 ◻

PIC

图 5.3.1: h(t)=(t−12)2与h(x2)的图像

例 5.3.2 (例2,star) 求函数z=(x2+y2)e−(x2+y2)的极值。

解 令t=x2+y2,一元函数f:[0,+∞)→R、f(t)=te−t在t=1处取得极大值e−1、在边界t=0处取得极小值0。所以z=f(x2+y2)在(0,0)点取得最小值,在x2+y2=1的每个点处取得最大值。 ◻

注 要善于观察函数的构造,并利用一元函数单调性的相关结论。在求解多元函数的极值时,如果定义域不是开集,则必须讨论函数在边界上的取值。

例 5.3.3 (例3,star) 设z=z(x,y)由2x2+2y2+z2+8xz−z+8=0确定,求该函数的极值。

解1 虽然可以用一元二次方程的求根公式得到z(x,y)的显式表达式(7)z=−8x+1±(8x−1)2−64(x2+y2)2=−8x+1±1−16x−64y22 但计算其导数过于繁琐。我们对原方程求微分可得(8)4xdx+4ydy+2zdz+8xdz+8zdx−dz=0 令dz=0,得到驻点满足的条件(9){4x+8z=0,4y=0,2x2+2y2+z2+8xz−z+8=0⟹{x=−2,y=0,z=1,{x=167,y=0,z=−87

方法一:利用渐近分析法:用x=−2+u、z=1+v代入方程可得(10)0=2(−2+u)2+2y2+(1+v)2+8(−2+u)(1+v)−(1+v)+8=2u2+2y2−15v+(v2+8uv)=2u2+2y2−15v+o(v)v=215(u2+y2)+o(u2+y2) 因此z=1是极小值。

方法二:利用二阶微分:计算可得(11)4dx2+4dy2+2dz2+2zd2z+8dxdz+8xd2z+8dzdx−dz2=0 代入x=167、y=0、z=−87、dz=0可得(12)d2z=−415(dx2+dy2) 因此z=−87是极大值。 ◻

解2 记原方程为F(x,y,z)=0,它定义隐函数 z=z(x,y) 的充分条件是(13)Fz(x,y,z)=2z+2x−1≠0 解1中得到的驻点都满足这个条件。于是驻点满足的方程为(14){2x2+2y2+z2+8xz−z+8=0,F=0,4x+2zzx+8z+8xzx−zx=0,∂∂x(x,y,z(x,y))=04y+2zzy+8xzy−zy=0,∂∂y(x,y,z(x,y))=0zx=0临界点zy=0临界点 由前5个方程解得解1中x,y,z的结果。继续计算二阶导数可得(15){4+2(zx)2+2zzxx+16zx+8xzxx−zxx=0,∂2∂x2(x,y,z(x,y))=02zyzx+2zzxy+8zy+8xzxy−zxy=0,∂2∂x∂y(x,y,z(x,y))=04+2(zy)2+2zzyy+8xzyy−zyy=0,∂2∂y∂y(x,y,z(x,y))=0 代入解得二阶导数,进而判断Hesse矩阵的类型、得到极值结论。 ◻

解3 方程配方得到(16)2(x+2z)2+2y2−7(z+114)2+22528=0 所以(17)|z+114|=2(x+2z)2+2y27+225196≥1514 所以z≥1或z≤−87。易见等号可以成立。实际上,上述方程定义的曲面为双叶双曲面(图5.3.2)。 ◻

PIC

图 5.3.2: 函数z=z(x,y)的图像(双叶双曲面)

解4 配凑可得(18)−(8+7z)(z−1)=−7z2−z+8=−2y2−2(x+2z)2≤0 所以z≥1或z≤−87。当z=1时,(x,y)=(−2,0);当z=−87时,(x,y)=(167,0)。上述不等式说明了z=1和z=−87分别是极小值和极大值。 ◻

例 5.3.4 (例14,star) 求z=xy(4−x−y)在x=1、y=0、x+y=6所围闭区域D―上的最大值。

解1 连续函数z=xy(4−x−y)在有界闭区域D―={(x,y)∣0≤y≤6−x,1≤x≤6}上取得最大值和最小值。先求开区域D∘内的最大值,再求三条边界上的驻点,最后求所有边界两两交点的函数值。

1∘ 开区域D∘内的最大值。由驻点方程解得(19){zx=4y−2xy−y2=0zy=4x−x2−2xy=0⟹(0,0), (43, 43), (0,4), (4,0) 只有(43,43)在D∘内,它为满足题意的驻点。计算Hesse矩阵可得(20)Hz(43,43)=(−2y4−2x−2y4−2x−2y−2x)|(x,y)=(43,43)=−43(2−1−12) Hesse矩阵负定,故(43,43)为极大值点,极大值为z(43,43)=6427。

2∘ 三条边界上的驻点。分情况讨论可得(计算过程略)(21)maxxy(4−x−y)s.t.x=1⟹z=y(3−y)≤94,0≤y≤5maxxy(4−x−y)s.t.y=0⟹z=0maxxy(4−x−y)s.t.x+y=6⟹z=−2x(6−x)≤0,1≤x≤6

3∘ 边界两两交点的函数值。计算可得z(1,0)=0,z(1,5)<0,z(6,0)=0。

综上所述,z在D―上取得最大值6427,最大值点为(43,43)。 ◻

解2 记(22)D={(x,y)∣x≥1,y≥0,x+y≤6} 由于(1,1,1)∈D,此时z=2>0。当x+y≥4或y=0时,z≤0。所以考虑求最大值只需考虑(23)D1={(x,y)∣x≥1,y>0,x+y<4} 当x=y=43(满足D的条件)时,z最大值为6427。 ◻

5.3.2 计算条件极值

例 5.3.5 (例4,star) 例3可以改写为条件极值问题:(24){f(x,y,z)=z,2x2+2y2+z2+8xz−z+8=0

解 构造Lagrange函数(25)L(x,y,z,λ)=z−λ(2x2+2y2+z2+8xz−z+8) 求导可得(26){Lx=−λ(4x+8z)=0,Ly=−λ(4y)=0,Lz=1−λ(2z+8x−1)=0,Lλ=−(2x2+2y2+z2+8xz−z+8)=0⟹{x=−2,y=0,z=1,λ=−115,{x=167,y=0,z=−87,λ=115 当x=−2、y=0、z=1、λ=−115时,约束曲面的切向量(ξ,η,ζ)满足(27)−8ξ+2ζ+8ξ−16ζ−ζ=0⟹ζ=0 因此(28)d2L=−λ(4ξ2+4η2+ζ2+8ξζ)=115(4ξ2+4η2) 因此x=−2、y=0、z=1是极小值。类似可得x=167、y=0、z=−87是极大值。 ◻

例 5.3.6 (例5,star) 求函数f(x,y)=x+y+xy在曲线x2+y2+xy=3上的最大方向导数。

解 对约束条件求微分可得(29)2xdx+2ydy+xdy+ydx=0⟹(2x+y)dx+(2y+x)dy=0 曲线的切向量为(30)v=(−2y−x,2x+y)T(2x+y)2+(2y+x)2 因此目标函数(f沿v的方向导数)为(31)F(x,y)=(−2y−x)fx+(2x+y)fy(2x+y)2+(2y+x)2=2x2−2y2+x−y5x2+8xy+5y2 用Lagrange乘子法计算比较繁琐,故我们借助配方给出约束曲面的一个参数化表示,即(32)(x+y2)2+(32y)2=3⟹{x+y2=3cos⁡t,32y=3sin⁡t⟹{x=3cos⁡t−sin⁡t,y=2sin⁡t 代入可得(33)G(t):=F(x(t),y(t))=6cos⁡2t−3sin⁡t−3cos⁡t(4sin⁡t−1)33sin⁡2t+cos⁡2t+4 利用一元微积分的知识可得G在t=11π6(即x=2、y=−1)时取得最大值3。 ◻

例 5.3.7 (例6) 求函数f(x,y)=x+y+xy沿曲线x2+y2+xy=3切方向的最大方向导数。

解 曲线x2+y2+xy=3在(x,y)点处的切线方程为(34)(2x+y)(X−x)+(2y+x)(Y−y)=0 曲线的切向量为(35)v=(−2y−x,2x+y)T(2x+y)2+(2y+x)2 f沿v的方向导数为(36)∇f(x,y)⋅v=(−2y−x)fx+(2x+y)fy(2x+y)2+(2y+x)2=2x2−2y2+x−y5x2+8xy+5y2 原问题即(37)max2x2−2y2+x−y5x2+8xy+5y2s.t.x2+y2+xy=3 用Lagrange乘子法手工求解该问题显得计算比较繁琐。

考虑u=x−y、v=x+y(由二次型矩阵的特征方向而得),则(38)u2+3v2=4(x2+xy+y2)=12 从而可设(39)u=23cos⁡t,v=2sin⁡t 得到约束曲线的参数方程(40)x=u+v2=3cos⁡t+sin⁡t,y=v−u2=−3cos⁡t+sin⁡t 这实现了消元的目的,此时目标函数变成一元函数(41)2x2−2y2+x−y5x2+8xy+5y2=83cos⁡tsin⁡t+23cos⁡t6cos2⁡t+18sin2⁡t=G(t) 对G使用一元微积分的方法,得到该函数的最大值为3,在t=π6、即(x,y)=(2,−1)时取得(图5.3.3)。 ◻

PIC

图 5.3.3: 函数G(t)的图像

例 5.3.8 (例7) 方程(x2+y2)z+ln⁡z+2(x+y+1)=0确定了一个C∞曲面,求曲面上的点的z坐标的取值范围。

解 原方程为关于z的超越方程,即无法用有限次四则运算和开方运算来表示z。我们采用下面的方法处理。

Step 0. 证明z(x,y)存在且唯一。

记F(x,y,z)=(x2+y2)z+ln⁡z+2(x+y+1),则对任意z>0,有(42)Fz=x2+y2+1z>0 因此对任意(x,y),F(x,y,z)关于z严格增。计算可得(43)limz→+∞F(x,y,z)=+∞,limz→0+F(x,y,z)=−∞ 因此对任意(x,y),存在唯一的z=z(x,y)使得F(x,y,z(x,y))=0。

Step 1. 列出并求解驻点方程。

对方程F(x,y,z(x,y))=0求导,得到(44)Fx+Fzzx=0,Fy+Fzzy=0 其中(45)Fx=2xz+2,Fy=2yz+2 于是zx=zy=0当且仅当(46)2xz+2=0=2yz+2 即x=y=−1z<0,因此(47)0=F(−1z,−1z,z)=2z+ln⁡z−4z+2=ln⁡z−2z+2=:g(z) 因为(48)g′(z)=1z+2z2>0 且g(0+)=−∞、g(+∞)=+∞、g(1)=0,所以z=1是g(z)=0的唯一零点,此时x=y=−1,亦即z(−1,−1)=1。

Step 2. 利用渐近分析法证明z(−1,−1)为极大值。

记x=−1+u, y=−1+v, z=1+w,则(49)[(−1+u)2+(−1+v)2](1+w)+ln⁡(1+w)+2(−1+u−1+v+1)=0 即(50)u2+v2+3w+o(w)=0,(u,v)→(0,0) 从而(51)w=−u2−v2+o(u2+v2),(u,v)→(0,0) 因此(52)z=1−(x+1)2−(y+1)2+o((x+1)2+(y+1)2),(x,y)→(−1,−1) 故z(−1,−1)=1是z(x,y)的极大值。

Step 3. 利用不等式放缩证明z(−1,−1)为最大值。

如果存在x0,y0使得z(x0,y0)>1,则(53)0=(x02+y02)z0+ln⁡z0+2(x0+y0+1)>(x02+y02)+2(x0+y0+1)=(x0+1)2+(y0+1)2≥0 矛盾。所以对任意(x,y),都有 z(x,y)≤1=z(−1,−1)。因此z=1是最大值。

Step 4. 证明(0,1]为z的取值范围,亦即z:R2→(0,1]是满射。

沿直线x+y+1=0有(54)(x2+y2)z+ln⁡z+2(x+y+1)=2x2z+ln⁡z 对任意0<z<1,取x=−ln⁡z2z,y=−1−−ln⁡z2z,则有F(x,y,z)=0,所以曲面上的点的z坐标的取值范围是(0,1]。 ◻

例 5.3.9 (例8,star) 设a,b,c为一个三角形的三条边的边长,求ab+c+bc+a+ca+b的取值范围。

解 由问题的齐次性,不妨设a=1,令(55)f(x,y)=1x+y+x1+y+y1+x 其中x,y满足(56)1+x>y,1+y>x,x+y>1,x>0,y>0 记u=x+y、v=x+y(图5.3.4),则上述不等式等价于u>1、−1<v<1,此时(57)g(u,v)=f(x,y)=1u+u+v2+u−v+u−v2+u+v

由(58)gv=8(u+1)(u+2)v(2+u)2−v2 知g(u,⋅)在[−1,0]上严格减,在[0,1]上严格增,故∀v∈(−1,1)∖{0},都有(59)1u+u+12+u−1+u−12+u+1=g(u,±1)>g(u,v)>g(u,0)=1u+2u2+u

由(60)ddug(u,0)=(3u+2)(u−2)u2(2+u)2 知g(⋅,0)在[1,2]上严格减,在[2,+∞)上严格增,g(2,0)=32是最小值,所以g(u,v)≥g(u,0)≥g(2,0)=32。

由(61)ddug(u,1)=3(u−3)(u+1)u2(u+3)2 知g(⋅,1)在[1,3]上严格减,在[3,+∞)上严格增,g(1,1)=g(+∞,1)=2是最大值,所以g(u,v)<g(u,1)<2。

因此f的上确界2在等腰三角形的腰与底的比值趋于+∞时以极限形式取得,f的最小值32在等边三角形时取得,从而f的取值范围为[32,2)。 ◻

另解 由Cauchy-Schwarz不等式可得(62)原式=∑cycb+c2(a+b+c)⋅∑cyc(a+b+c)−(b+c)b+c=12∑cyc(b+c)⋅∑cyc1b+c−3≥12(1+1+1)2−3=32 取等号条件为a=b=c。由于a,b,c为三角形的三边长,每个分数值都小于1,由糖水不等式可得(63)原式=ab+c+bc+a+ca+b<a+ab+c+a+b+bc+a+b+c+ca+b+c=2 当a=b、c→0时以极限形式取得上确界2。故原式的取值范围为[32,2)。 ◻

PIC

图 5.3.4: (x,y)与(u,v)的取值范围

例 5.3.10 (例9) 求−∑i=1npiln⁡pi的最大值,其中p1,⋯,pn是正数且满足∑i=1npi=1。

解 记目标函数f和约束函数g为(64)f(p1,…,pn)=−∑i=1npiln⁡pi,g(p1,…,pn)=∑i=1npi−1 因为(65)K={(p1,⋯,pn)∣p1≥0,⋯,pn≥0, p1+⋯+pn=1} 是有界闭凸集,f是连续函数(当p→0+时,pln⁡p→0),故f在K上有最大值和最小值。

对p1,p2,⋯,pn>0,有(66)Hf(p)=(−1p1−1p2−1pn) 负定,所以f在凸集K上是凹函数,所以它的最小值在K的(相对)边界上达到,于是f的最小值在(1,0,⋯,0)达到,最小值为0。

构造Lagrange函数(67)L(p1,⋯,pn,λ)=f(p)−λg(p) 则(68)Lpk=−ln⁡pk−1−λ=0,k=1,2,⋯,nLλ=−∑k=1npk+1=0 解得(69)pk=e−1−λ=1n,k=1,2,⋯,n 此时f(p∗)=ln⁡n。p∗是f在约束条件下,在K(的相对内部)中的唯一临界点,所以它是f的最大值点,ln⁡n是f的最大值。 ◻

例 5.3.11 (例11) 求原点到曲面z2=xy+x−y+4的最短距离。

解1 原问题可化为(70)min(x2+y2+z2)s.t.z2=xy+x−y+4 令(71)L(x,y,z,λ)=x2+y2+z2+λ(z2−xy−x+y−4) 则(72){Lx=2x−λ(y+1)=0Ly=2y+λ(−x+1)=0Lz=2z+2λz=0Lλ=z2−xy−x+y−4=0 解得(73)λ=2∨{x=λλ+2y=−λλ+2λ≠±2∧λ=−1∨z=0

1∘ 当λ=−1时,解得(x,y,z)=(−1,1,±1),此时d=x2+y2+z2=3。

2∘ 当λ=2时,解得z=0,此时{x=y+1xy+x−y+4=0无实数解。

3∘ 当λ=−2时,方程组无界。

4∘ 当λ∉{−1,2,−2}时,z=0,此时(74){x=λλ+2y=−λλ+2xy+x−y+4=0⟹{x=1±5y=−1∓tλ=∓2(1±5)t 此时d=x2+y2+z2=23±5。

综上所述,原点到曲面的距离为3。 ◻

解2 当x=1时,由约束条件得到z2=5,此时d=x2+y2+z2=6+y2≥6。

当x≠1时,从z2=xy+x−y+4解得y=z2−4−xx−1,此时(75)d2=f(x,z)=x2+(z2−4−xx−1)2+z2 由(76)fx=2(x2+z2−2x−4)(x2−z2−x+5)(x−1)3=0,fz=2z(x2+2z2−4x−7)(x−1)2=0 解得x=z=−1、x=−1, z=1或x=1±5, z=0。比较相应的d=f(x,z)的值以及6,得到其中的最小值。 ◻

解3 将z2=xy+x−y+4代入d2=x2+y2+z2,得到(77)f(x,y)=d2=x2+xy+y2+x−y+4=(x+y2+12)2+34(y−1)2+3≥3 且当x=−1,y=1时,f(x,y)=3,d=3是最小距离。 ◻

解4 将z2=xy+x−y+4代入d2=x2+y2+z2,得到(78)f(x,y)=d2=x2+xy+y2+x−y+4 求导可得(79)fx=2x+y+1=0,fy=x+2y−1=0 解得x=−y=−1。

当x<−y+12时,fx<0;当x>−y+12时,fx>0;所以对任意y,f(x,y)关于x在x=−y+12时取最小值。记g(y)=f(−y+12,y),则(80)dgdy=fy(−y+12,y)=−y+12+2y−1=3(y−1)2 即当y<1时,g′(y)<0;当 y>1 时,g′(y)>0。所以g在y=1处取得最小值。

所以f(x,y)在(−1,1)取得最小值f(−1,1)=3,所求最小距离为3 。 ◻

注 以上四种解法都是不完整的。

解1和解2的补救 需要证明这个问题存在最小值。目标函数在非空有界闭集(81)D={(x,y,z)∈R3∣x2+y2+z2≤4, z2=xy+x−y+4},(−1,1,1)∈D 上有最小值,且最小值不大于4。在R3∖D中,任何函数值(如果存在)必然大于4。所以此约束极值问题有最小值。另外,这个目标函数在约束条件下没有最大值,因为对任意正整数 n,点(n,n,n2+4)满足约束条件,它到原点距离大于n。

解3和解4的补救 事实上,约束条件z2=xy+x−y+4有个潜在的约束是xy+x−y+4≥0,所以解4需要说明(−1,1)满足这个条件。有些读者可能以为把约束条件代入目标函数就万事大吉了,这里的讨论(即潜在约束的存在)说明情况并非想象的那样简单。

例 5.3.12 (例13,star) 求旋转抛物面z=x2+y2与平面x+y+z=1的交线(椭圆)的长轴、短轴的长。

解1 联立曲面方程与平面方程可得(82)x2+y2+x+y−1=(x+12)2+(y+12)2−32=0 因此(83)x=−12+32cos⁡θ,y=−12+32sin⁡θ 代入平面方程中可得(84)z=1−x−y=2−3cos⁡(θ−π4) 由此知椭圆中心(对称中心)为(−12,−12,2),椭圆上的点到椭圆中心的距离满足(85)(x+12)2+(y+12)2+(z−2)2=32+3cos2⁡(θ−π4) 最大值为32、最小值为32。所以椭圆的长轴长为32、短轴长为6。 ◻

解2 设(x1,y1,z1),(x2,y2,z2)为椭圆上的两点。它们是长轴两个端点,当且仅当它们是以下问题的解(注:短轴的两个端点不是min的解!)(86)max[(x1−x2)2+(y1−y2)2+(z1−z2)2]s.t.{z1=x12+y12x1+y1+z1=1z2=x22+y22x2+y2+z2=1 从约束条件中尽量解出一些变量,以减少变量个数:(87)max[(x1−x2)2+(y1−y2)2+((1−x1−y1)−(1−x2−y2))2]s.t.{x12+y12=1−(x1+y1)x22+y22=1−(x2+y2) 这是条件极值问题,接下来用Lagrange乘子法即可解出答案。另外,上述约束条件等价于(88)xi+12=32cos⁡θi,yi+12=32sin⁡θi 目标函数为(89)3(cos⁡θ1−cos⁡θ2)2+3(cos⁡θ1−cos⁡θ2)(sin⁡θ1−sin⁡θ2)+3(sin⁡θ1−sin⁡θ2)2 先用三角函数的性质化简这个表达式(降次),然后再研究它的极值和最值。 ◻

5.3.3 与极值有关的证明题(2)

例 5.3.13 (例10,star) 设A是由n个n维单位列向量x1,⋯,xn组成的n阶矩阵,证明(detA)2≤1,其中等号成立当且仅当x1,⋯,xn是Rn的一组单位正交基。

证明1 设x1,⋯,xn线性无关,此时有(detA)2>0,否则有detA=0。作Gram-Schmidt正交化:设q1=x1∥x1∥,且(90)yk+1=xk+1−∑i=1k⟨xk+1,qi⟩qi,qk+1=yk+1∥yk+1∥,k=1,⋯,n−1 用qk+1与上式两端内积可得(91)∥yk+1∥=⟨xk+1,qk+1⟩ 因此(92)xk+1=∑i=1k+1⟨xk+1,qi⟩qi,k=1,⋯,n−1 上式对k=0亦成立。设上三角矩阵R满足Rij=⟨xj,qi⟩(其中i≤j),正交矩阵Q=(q1,⋯,qn),则有(93)xj=∑i=1jqiRij=∑i=1nqiRij⟹A=QR 故有(94)detA=det(QR)=detQdetR=detR=∏i=1n⟨xi,qi⟩|detA|=∏i=1n|⟨xi,qi⟩|≤∏i=1n∥xi∥∥qi∥=1 当且仅当所有xi均与对应的qi共线时等号成立,即x1,⋯,xn是Rn的一组单位正交基。 ◻

证明2 记(95)G:=ATA=(⟨x1,x1⟩⋯⟨x1,xn⟩⋮⋱⋮⟨xn,x1⟩⋯⟨xn,xn⟩) 则G为对称矩阵,故存在谱分解G=QΛQT,其中Q为正交矩阵,Λ为对角矩阵。由detG=det(ATA)=(detA)2,结合AM-GM不等式可得(96)(detA)2=detG=det(QΛQT)=detQdetΛdetQT=detΛ=∏i=1nλi≤(∑i=1nλin)n=(trGn)n=(∑i=1n⟨xi,xi⟩n)n=1 取等号条件为λ1=⋯=λn=1,即Λ=I⟹ATA=QQT=I⟹A为正交矩阵,亦即x1,⋯,xn是Rn的一组单位正交基。 ◻ ◻

证明3 类似地可设A可逆。构造Lagrange函数(97)L(x1,⋯,xn,λ1,⋯,λn)=detA−∑i=1nλi(∥xi∥2−1) 记Aij表示元素aij=xij的代数余子式、A→i=(Ai1,⋯,Ain),则L的驻点满足(98)∂L∂xij=Aij−2λixij=0⟹A→i=2λixi 易知λi≠0,否则有A→i=0→,此时对A的第i列求行列式为0,与A可逆矛盾。

当i≠j时,注意到(99)∑k=1n(xik+xjk)Aik=det(x1,⋯,xi+xj,⋯,xn)=det(x1,⋯,xi,⋯,xn)=∑k=1nxikAik 因此(100)xj⋅A→i=2λixj⋅xi=0⟹xi⊥xj,i≠j 故当A为正交矩阵时detA取得极值±1,此时(detA)2=1且x1,⋯,xn是Rn的一组单位正交基。

记A为所有满足题设要求的矩阵A构成的集合,易见A为有界闭集,故函数det:A→R在A上有最值。由Fermat引理2可知det在A上的最值点即为det的驻点,因此det在A上的最大值为1、最小值为−1,(detA)2≤1,等号成立当且仅当A为正交矩阵。 ◻

例 5.3.14 (例16) 函数z(x,y)在有界闭区域D上连续,在D的边界上z(x,y)=0,在D内部偏导数存在,且满足∂z∂x+∂z∂y=f(z),其中f是严格单调函数,且f(0)=0,证明z(x,y)=0,∀(x,y)∈D。

证明1 z(x,y)在有界闭区域上连续,所以有最大值和最小值。

假设z(x,y)不恒为0,则z(x,y)的最大值和最小值中必有一个非零。又因为在D的边界上z(x,y)=0,所以f的非零最值必在D内某点P(x0,y0)取得,从而f(z(P))=∂z∂x(P)+∂z∂y(P)=0=f(0)。由于f是严格单调函数,所以z(P)=0,矛盾。 ◻

证明2 假设z(x0,y0)≠0,则(x0,y0)∈D∘ 。记(101)a=inf{t∣∀s∈[t,0],z(x0+s,y0+s)≠0},b=sup{t∣∀s∈[0,t],z(x0+s,y0+s)≠0} 因为z连续,(x0,y0)∈D∘,D是有界闭区域,z|∂D=0,所以−∞<a<0<b<+∞。计算可得(102)ddtz(x0+t,y0+t)=∂z∂x(x0+t,y0+t)+∂z∂y(x0+t,y0+t)=f(z(x0+t,y0+t)) 因为z(x0+a,y0+a)=0=z(x0+b,y0+b),所以根据Rolle定理,存在a<ξ<b使得(103)ddtz(x0+t,y0+t)|t=ξ=0 于是f(z(x0+ξ,y0+ξ))=0。由f的严格单调性,z(x0+ξ,y0+ξ)=0。这与a,b的定义矛盾。 ◻

例 5.3.15 (例17) 假设f(x,y)有连续的偏导数,在全平面除原点之外处处满足等式(104)x∂f∂x+y∂f∂y>0 证明:原点是f的唯一极小值点,且满足(105)limx→0,y→0f(x,y)−f(0,0)x2+y2=0

解 对任何(x0,y0)≠(0,0),计算可得(106)ddtf(x0et,y0et)=x0etf1(x0et,y0et)+y0etf2(x0et,y0et)>0,∀t∈R 所以f(x0et,y0et)严格增。所以(x0,y0)都不是极值点。由连续性可得(107)limt→−∞f(x0et,y0et)=f(0,0) 所以f(0,0)是唯一最小值点。因此f1(0,0)=f2(0,0)=0,所以df(0,0)=0,因此(108)limx→0,y→0f(x,y)−f(0,0)x2+y2=0 ◻

例 5.3.16 (例12) 当x,y,z>0时,求函数u=ln⁡x+2ln⁡y+3ln⁡z在球面x2+y2+z2=6r2上的最大值,这里r>0。由此进一步证明,对于任意正实数a,b,c,下述不等式成立(109)ab2c3≤108(a+b+c6)6

解 令(110)L(x,y,z,λ)=ln⁡x+2ln⁡y+3ln⁡z−λ(x2+y2+z2−6r2) 由(111)Lx=1x−2λx=0,Ly=2y−2λy=0,Lz=3z−2λz=0,Lλ=0 解得(112)x=12λ,y=1λ,z=32λ,λ=12r2 从而(113)x=r,y=2r,z=3r,λ=12r2⟹u(r,2r,3r)=6ln⁡r+ln⁡63

当min{x,y,z}→0时,(114)u≤ln⁡min{x,y,z}+3ln⁡max{x,y,z}≤ln⁡min{x,y,z}+3ln⁡(6r)→−∞ 所以∃δ∈(0,r)使得当min{x,y,z}<δ时,u(x,y,z)<u(r,2r,3r)。u(x,y,z)在包含(r,2r,3r)的非空有界闭集(115)K={(x,y,z)∣x2+y2+z2=6r2, x,y,z≥δ} 上连续,故有最大值。所以u(r,2r,3r)=6ln⁡r+ln⁡63是u在(116)D={(x,y,z)∣x2+y2+z2=6r2, x,y,z>0} 中的最大值。于是(117)xy2z3≤108(x2+y2+z26)3 令(a,b,c)=16r(x,y,z)即可得到(118)ab2c3≤108(a+b+c6)6 ◻

例 5.3.17 (例18) 设p>0,q>0满足1p+1q=1。求函数xpp+yqq在平面第一象限x>0,y>0里满足约束条件 xy=1的最小值。由此进一步证明Young不等式(119)xpp+yqq≥xy,∀x,y>0

解1 作Lagrange函数(120)L(x,y,λ)=xpp+yqq−λ(xy−1) 解方程组(121){Lx=xp−1−λy=0Ly=yq−1−λx=0Lλ=−(xy−1)=0 由方程3知x,y≠0,从而λ≠0,因此(122)xy=1,xp=λxy=yq⟹x=y=1,f(1,1)=1p+1q=1 分情况进行讨论:

注意到K={(x,y) | xy=1, 1q≤x≤p, 1p≤y≤q}是含(1,1)的有界闭集f 在K上有最小值,此最小值必然是f(1,1)。所以f(1,1)=1是f 在约束条件xy=1下的最小值。

对所有正数x,y,令(123)X=x(xy)1/p,Y=y(xy)1/q 则X>0、Y>0、XY=1,所以(124)Xpp+Yqq≥1 等号当且仅当X=Y=1时成立。因此(125)xpp+yqq≥xy 等号当且仅当xp=yq时成立。 ◻

解2 记f(x)=xpp+1qxq,则(126)f′(x)=xp−1−x−q−1=x−q−1(xp+q−1) 由此易知x=1是f的最小值点,f(1)=1是最小值。 ◻

例 5.3.18 (例19,star) 证明对任何p>1以及非负实数x1,y1,⋯,xn,yn,成立Minkowski不等式(127)(x1p+⋯+xnp)1/p+(y1p+⋯+ynp)1/p≥[(x1+y1)p+⋯+(xn+yn)p]1/p 等式成立当且仅当(x1,⋯,xn)与(y1,⋯,yn)线性相关。

证明1 利用Hölder不等式可得(128)∑k=1n(xk+yk)p=∑k=1nxk(xk+yk)p−1+∑k=1nyk(xk+yk)p−1≤[(∑k=1nxkp)1/p+(∑k=1nykp)1/p][∑k=1n(xk+yk)q(p−1)]1/q(Hölder)=[(∑k=1nxkp)1/p+(∑k=1nykp)1/p][∑k=1n(xk+yk)p]1−1/p 其中(129)1p+1q=1⟹q=pp−1 因此(130)[∑k=1n(xk+yk)p]1/p≤(∑k=1nxkp)1/p+(∑k=1nykp)1/p Hölder不等式可通过加权Jensen不等式证明,等号成立当且仅当(x1,⋯,xn)与(y1,⋯,yn)线性相关。 ◻

证明2 当n=1时,等式成立。假设n<m时,不等式成立;下证n=m时,结论成立。注意到(131) [(x1+y1)p+(x2+y2)p+⋯+(xm+ym)p]1/p≤[(x1+y1)p+[(x2p+⋯+xmp)1/p+(y2p+⋯+ymp)1/p]p]1/p(归纳假设)≤(x1p+(x2p+⋯+xmp))1p+(y1p+(y2p+⋯+ymp))1p(n=2) 所以关键在于证明当n=2时结论成立。

令f(x)=x1p+x2p,其为关于x=(x1,x2)的连续函数。考虑(132)maxf(x+y)s.t.f(x)=αp,f(y)=βp 若α=0或β=0,则x1=x2=0或y1=y2=0,此时要证明的不等式中等号成立。下设α>0,β>0。因为(133)K={(x,y)∣x1,x2,y1,y2≥0, f(x)=αp, f(y)=βp} 是有界闭集,所以连续函数f(x+y)在K上存在最大值和最小值。不妨设β≤α,注意到(134)f((α,0)+(0,β))=f((0,α)+(β,0))=αp+βp=αp[1+(βα)p]≤αp[1+βα]<αp[1+pβα]<αp(1+βα)p=(α+β)p=f((α,0)+(β,0))=f((0,α)+(0,β)) 如果(α+β)p不是f在K上的最大值,则最大值点(x1,x2,y1,y2)必然满足x1,x2都不是零或者y1,y2都不是零。

不妨设y1,y2都不是零。对给定的x,考虑(135)F(y1,y2,μ)=f(x+y)−μ[f(y)−β] 则条件最大值点(y1,y2)满足(136){∂F∂yk=p(xk+yk)p−1−μpykp−1=0∂F∂μ=βp−y1p−y2p=0 解得(137)μ=(x1+y1y1)p−1=(x2+y2y2)p−1≥1 从而(138)x1=(μ1/(p−1)−1)y1,x2=(μ1/(p−1)−1)y2 此时(139)αp=x1p+x2p=(μ1/(p−1)−1)p(y1p+y2p)=(μ1/(p−1)−1)pβp 亦即μ1/(p−1)−1=αβ,所以(140)f(x+y)=(x1+y1)p+(x2+y2)p=μp/(p−1)(y1p+y2p)=(1+αβ)pβp=(α+β)p 这与假设(α+β)p不是f的最大值矛盾,因此(α+β)p是f的最大值。 ◻

例 5.3.19 (2022春期末考试・19) 设F:Rm→Rm是C1映射,满足

(a)

∀x∈Rm,F在点x处的Jacobi矩阵都是可逆矩阵;

(b)

当∥x∥→+∞时,∥F(x)∥→+∞。

证明:

(1)

F是满射,即∀y∈Rm,∃x∈Rm使得F(x)=y;

(2)

∀y∈Rm,存在有限多个x∈Rm使得F(x)=y。

证明1 (1) 令g(x):=∥F(x)−y∥2,注意到(141)|g(x)|=∥F(x)−y∥≤∥F(x)∥+∥y∥→+∞,∥x∥→+∞ 取M=g(0),∃R>0使得∥x∥>R⟹∥g(x)∥>M=g(0),而g在有界闭集B―(0,R)上有最小值点x∗,显然是R2上的最小值点和极小值点。由F可微、结合Fermat原理知x∗是F的驻点。

对g求梯度可得驻点方程为(142)∇g(x)=∇⟨F(x)−y,F(x)−y⟩=2(JF(x))T(F(x)−y)=0 由于JF(x)可逆,故g的唯一驻点x∗满足F(x∗)=y,即F是满射。

(2) 设X=F−1(y0)为y0的原像集,我们需要证明|X|<+∞。首先X有界,否则存在{xn}n=1+∞⊆X满足limn→+∞∥xn∥=+∞而limn→+∞F(xn)=y0,这与题设(a)矛盾。再类似例2.1.5可得X为闭集,故X是有界闭集。∀x0∈X,由于∂F(x0)可逆,由逆映射定理可知∃δ(x0)>0和可逆映射F−1使得(143)x=F−1(y)∈B(x0,δ(x0)),∀y∈B(y0,δ(x0)) 故F:B(x0,δ(x0))→B(y0,δ(x0))是双射,亦即开集B(x0,δ(x0))内有且仅有x=x0满足F(x)=y0。

由此得到有界闭集X的开覆盖X=⋃x∈XB(x,δ(x))。根据Heine-Borel定理(有限覆盖定理),Rn中有界闭集的开覆盖必有有限子覆盖X=⋃i=1kB(xi,δ(xi)),其中x1,⋯,xk∈X。由于每个B(xi,δ(xi))内只有一个点xi满足F(x)=y0,所以|X|=k<+∞。 ◻

证明2 (1) 我们证明F(Rm)非空(显然)且既开又闭,则F(Rm)=Rm。

∀y0∈F(Rm),∃x0∈Rm满足F(x0)=y0,由证明1(2)可知∃δ>0使得F:B(x0,δ)→B(y0,δ)为双射,故B(y0,δ)⊆F(Rm),即F(Rm)是开集。

设{yn}n=1+∞⊆F(Rm)满足limn→+∞yn=y∗,则∃{xn}n=1+∞⊆Rm使得F(xn)=yn恒成立。类似证明1(2)可知{xn}n=1+∞有界,故存在收敛子列{xnk}k=1+∞使得limk→+∞xnk=x∗。由于F连续,故有(144)y∗=limn→+∞yn=limk→+∞ynk=limk→+∞F(xnk)=F(limk→+∞xnk)=F(x∗)∈F(Rm) 即F(Rm)是闭集。

(2) 设X=F−1(y0),由证明1(2)可知X有界。采用反证法,假设|X|=+∞,则X必有聚点x0,否则易由有限覆盖定理得到孤立点构成的有界集必有限。由证明1(2)可知∃δ>0使得F:B(x0,δ)→B(y0,δ)为双射,这与x0为聚点矛盾。所以|X|<+∞。 ◻

注 证明1(1)的基本思路源自梯度下降法,即通过构造优化问题来求解方程。证明2(1)则更接近拓扑法:如果F不是满射,那么Rn中就有不属于F(Rm)的点;而F(Rm)又为闭集,故F(Rm)必定存在边界点,F在边界点处的Jacobi矩阵必定不满秩,矛盾。

2这里用的是广义Fermat引理,要求A是个微分流形。由于本人才疏学浅,未能给出证明,请见谅。